FIX::DoNotSend Struct Reference

Indicates user does not want to send a message. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::DoNotSend:
[legend]
Collaboration diagram for FIX::DoNotSend:
[legend]

## Public Member Functions

| DoNotSend (const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Indicates user does not want to send a message.

Definition at line 234 of file Exceptions.h.

## Constructor & Destructor Documentation

## DoNotSend()

FIX::DoNotSend::DoNotSend | ( | const std::string & | what = `""` | ) |

inline

Definition at line 236 of file Exceptions.h.

: public Exception

References FIX::IOException::IOException().

Referenced by FIX::RepeatedTag::RepeatedTag().

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:69